Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class GroovyScriptEngine

Specific script engine able to reload modified scripts as well as dealing properly with dependent scripts.

author:
  sam

author:
  Marc Palmer

author:
  Guillaume Laforge

Field Summary
`ThreadLocal` | `currentCacheEntryHolder`
`GroovyClassLoader` | `groovyLoader`
`ResourceConnector` | `rc`
`def` | `roots`
`Map` | `scriptCache`

Constructor Summary
`GroovyScriptEngine()`

Method Summary
`static void` | `main(def urls)` Simple testing harness for the GSE.

Constructor Detail

### GroovyScriptEngine

    GroovyScriptEngine()

Method Detail

### main

    public static void main(def urls)

  Simple testing harness for the GSE. Enter script roots as arguments and then input script names to run them.
  param:
    urls an array of URLs
  throws:
    Exception if something goes wrong